zenilib: zenilib/jni/external/freetype2/src/base/ftinit.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
ftinit.c File Reference
`#include <ft2build.h>`
`#include <FT_CONFIG_CONFIG_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_MODULE_H>`
`#include "basepic.h"`
`#include <FT_CONFIG_MODULES_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_init
#define | FT_USE_MODULE(type, x) extern const type x;
#define | FT_USE_MODULE(type, x) (const FT_Module_Class*)&(x),

## Functions

| FT_Add_Default_Modules (FT_Library library)
| FT_Done_FreeType (FT_Library library)
| FT_Init_FreeType (FT_Library *alibrary)

## Variables

static const FT_Module_Class *const | ft_default_modules []

## Macro Definition Documentation

#define FT_COMPONENT trace_init

Definition at line 55 of file ftinit.c.

#define FT_USE_MODULE | ( |  | type,
|  |  | x
| ) |  | extern const type x;

Definition at line 71 of file ftinit.c.

#define FT_USE_MODULE | ( |  | type,
|  |  | x
| ) |  | (const FT_Module_Class*)&(x),

Definition at line 71 of file ftinit.c.

## Function Documentation

FT_Add_Default_Modules | ( | FT_Library | library | ) |

Definition at line 198 of file ftinit.c.

References error, FT_Add_Module(), FT_DEFAULT_MODULES_GET, and FT_TRACE0.

Referenced by FT_Init_FreeType().

FT_Done_FreeType | ( | FT_Library | library | ) |

Definition at line 264 of file ftinit.c.

References FT_Done_Library(), FT_Done_Memory(), and FT_Err_Ok.

Referenced by main().

FT_Init_FreeType | ( | FT_Library * | alibrary | ) |

Definition at line 232 of file ftinit.c.

References error, FT_Add_Default_Modules(), FT_Done_Memory(), FT_ERROR, FT_New_Library(), and FT_New_Memory().

Referenced by ExecuteTest(), and main().

## Variable Documentation

const FT_Module_Class* const ft_default_modules[]

static

Initial value:
=
{
0
}

Definition at line 74 of file ftinit.c.